#pragma once

#include "../engine/event.h"
#include "../engine/renderer.h"
#include "../engine/window.h"
#include "../engine/sdl.h"
#include "../engine/tick.h"

#include "ecs/ECS_COMMON.h"

typedef struct Game
{
	Renderer renderer;
	Window window;
	Event event;
	Tick tick;
	ECS ecs;
} Game;
