#pragma once

#include "../../GAME_COMMON.h"

typedef struct ComponentSprite
{
	u32 id;
	vec2 size;
	vec3 offset;
	vec3 position;
	vec4 color;
	f32 scale;
	f32 rotation;
} ComponentSprite;

static const ECSComponentInfo COMPONENT_SPRITE_INFO = 
{
	.system = 
	{
		.functions = { NULL, NULL, NULL, NULL}
	},
	.type = ECS_COMPONENT_SPRITE,
	.size = sizeof(ComponentSprite)
};
