#pragma once

#include "ecs/ecs.h"

#define WINDOW_TITLE "Sneed"
#define WINDOW_FLAGS SDL_WINDOW_OPENGL | SDL_WINDOW_RESIZABLE

static const ivec2 WINDOW_SIZE = {800, 600};
static const vec4 RENDERER_CLEAR_COLOR = {0.0f, 0.0f, 0.0f, 1.0f};

void game_init(Game* game);
void game_loop(Game* game);

extern Game game;
